Bug 473124 - X corruption problems
X corruption problems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 11:29 EST by Jared Smith
Modified: 2018-04-11 03:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:57:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A photo of the corruption (from my cell phone camera) (344.15 KB, image/jpeg)
2008-11-26 11:29 EST, Jared Smith
no flags Details
A log from a working X session (39.01 KB, text/plain)
2008-12-09 10:10 EST, Jared Smith
no flags Details
A log from a corrupted X session (39.36 KB, text/plain)
2008-12-09 10:11 EST, Jared Smith
no flags Details

  None (edit)
Description Jared Smith 2008-11-26 11:29:33 EST
Created attachment 324756 [details]
A photo of the corruption (from my cell phone camera)

Description of problem:

I've been running rawhide in preparation for the release of F10, and haven't had any problems up until last week or so (which should be all the components of Fedora 10 itself).

If I boot to runlevel 3 and then log in as a non-root user and then type "startx", the display is corrupted.  If I boot to runlevel 5 (with or without rhgb, and with or without appending the "nomodeset" option), I have approximately a 50/50 chance of successfully making my way into X without corruption issues.  If I boot into the 2.6.27.5-109 kernel it *seems* to work more often than either 2.6.27.5-117 or -113, but that's just a gut feeling.

Version-Release number of selected component (if applicable):

xorg-x11-apps-7.3-5.fc10.x86_64
xorg-x11-drv-citron-2.2.1-1.fc9.x86_64
xorg-x11-drv-glint-1.2.1-1.fc9.x86_64
xorg-x11-drv-wiimote-0.0.1-1.fc9.x86_64
xorg-x11-drv-aiptek-1.1.1-1.fc9.x86_64
xorg-x11-drv-ati-6.9.0-54.fc10.x86_64
xorg-x11-xkb-utils-7.2-7.fc10.x86_64
xorg-x11-drv-cirrus-1.2.0-1.fc9.x86_64
xorg-x11-drv-nouveau-0.0.11-1.20080902git6dd8ad4.fc10.x86_64
xorg-x11-drv-mach64-6.8.0-1.fc10.x86_64
xorg-x11-drv-evdev-2.0.7-3.fc10.x86_64
xorg-x11-drv-vesa-2.0.0-1.fc10.x86_64
xorg-x11-xinit-1.0.9-4.fc10.x86_64
xorg-x11-drv-siliconmotion-1.6.0-1.fc9.x86_64
xorg-x11-drv-tek4957-1.2.0-1.fc9.x86_64
xorg-x11-drv-acecad-1.2.2-1.fc9.x86_64
xorg-x11-drv-openchrome-0.2.903-1.fc10.x86_64
xorg-x11-drv-summa-1.2.0-2.fc10.x86_64
xorg-x11-drv-vmware-10.16.0-1.fc9.x86_64
xorg-x11-drv-magellan-1.2.0-1.fc9.x86_64
xorg-x11-drv-jamstudio-1.2.0-1.fc9.x86_64
xorg-x11-util-macros-1.1.6-2.fc10.x86_64
xorg-x11-server-utils-7.4-3.fc10.x86_64
xorg-x11-drv-voodoo-1.2.0-1.fc9.x86_64
xorg-x11-drv-sis-0.10.0-1.fc9.x86_64
xorg-x11-drv-digitaledge-1.1.1-1.fc9.x86_64
xorg-x11-drv-fbdev-0.3.1-7.fc9.x86_64
xorg-x11-drivers-7.3-9.fc10.x86_64
xorg-x11-server-common-1.5.3-5.fc10.x86_64
xorg-x11-drv-keyboard-1.3.0-3.fc9.x86_64
xorg-x11-drv-ur98-1.1.0-5.fc9.x86_64
xorg-x11-drv-sisusb-0.9.0-1.fc9.x86_64
xorg-x11-drv-s3virge-1.10.0-1.fc9.x86_64
xorg-x11-drv-penmount-1.3.0-1.fc9.x86_64
xorg-x11-drv-v4l-0.2.0-1.fc9.x86_64
xorg-x11-drv-ast-0.85.0-1.fc9.x86_64
xorg-x11-drv-savage-2.2.0-2.fc9.x86_64
xorg-x11-drv-elographics-1.2.3-1.fc10.x86_64
xorg-x11-drv-synaptics-0.15.2-1.fc10.x86_64
xorg-x11-font-utils-7.2-6.fc10.x86_64
xorg-x11-drv-void-1.1.1-9.fc9.x86_64
xorg-x11-drv-spaceorb-1.1.0-6.fc9.x86_64
xorg-x11-drv-dynapro-1.1.2-1.fc9.x86_64
xorg-x11-drv-hyperpen-1.2.0-1.fc9.x86_64
xorg-x11-drv-rendition-4.2.0-1.fc9.x86_64
xorg-x11-drv-i128-1.3.0-1.fc9.x86_64
xorg-x11-drv-calcomp-1.1.2-1.fc9.x86_64
xorg-x11-drv-nv-2.1.12-6.fc10.x86_64
xorg-x11-server-Xorg-1.5.3-5.fc10.x86_64
xorg-x11-drv-mutouch-1.2.1-1.fc10.x86_64
xorg-x11-filesystem-7.3-2.fc10.noarch
xorg-x11-xauth-1.0.2-5.fc10.x86_64
xorg-x11-utils-7.4-3.fc10.x86_64
xorg-x11-drv-r128-6.8.0-1.fc10.x86_64
xorg-x11-drv-tdfx-1.4.0-1.fc9.x86_64
xorg-x11-drv-trident-1.3.0-1.fc9.x86_64
xorg-x11-drv-dmc-1.1.2-1.fc9.x86_64
xorg-x11-drv-fpit-1.2.0-1.fc9.x86_64
xorg-x11-proto-devel-7.4-4.fc10.noarch
xorg-x11-drv-vmmouse-12.6.1-1.fc10.x86_64
xorg-x11-drv-i810-2.5.0-3.fc10.x86_64
xorg-x11-xtrans-devel-1.2.1-2.fc10.x86_64
xorg-x11-drv-apm-1.2.0-1.fc9.x86_64
xorg-x11-drv-diamondtouch-0.2.0-0.1.fc9.x86_64
xorg-x11-drv-dummy-0.3.0-1.fc9.x86_64
xorg-x11-drv-palmax-1.2.0-1.fc9.x86_64
xorg-x11-drv-mouse-1.3.0-2.fc9.x86_64
xorg-x11-drv-mga-1.4.9-1.fc9.x86_64
xorg-x11-drv-microtouch-1.2.0-1.fc9.x86_64
xorg-x11-drv-i740-1.2.0-1.fc9.x86_64


How reproducible:

Very...

Steps to Reproduce:
1.  Boot Fedora 10
2.  Boot into runlevel 5, or boot to runlevel 3 and then start X
  
Actual results:

Corrupted graphics (see screenshot)

Expected results:

Non-corrupted graphics.

Additional info:

[root@frankenbox ~]# uname -a
Linux frankenbox 2.6.27.5-117.fc10.x86_64 #1 SMP Tue Nov 18 11:58:53 EST 2008 x86_64 x86_64 x86_64 GNU/Linux

[root@frankenbox ~]# grep '(EE)' /var/log/Xorg.0.log
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(EE) Unable to locate/open config file
(EE) open /dev/fb0: No such file or directory

[root@frankenbox ~]# lspci | grep GeFo
03:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7600 GS] (rev a1)
Comment 1 Matěj Cepl 2008-11-26 18:37:54 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Jared Smith 2008-12-09 10:09:26 EST
I'm not using an xorg.conf file... X is running without it.  I'll attach two Xorg.0.log files... one from a working startup of X, and one from a corrupted one.  At first glance, I'm not able to tell anything different between the two files that would indicate where the problem might lie.
Comment 3 Jared Smith 2008-12-09 10:10:15 EST
Created attachment 326327 [details]
A log from a working X session
Comment 4 Jared Smith 2008-12-09 10:11:22 EST
Created attachment 326328 [details]
A log from a corrupted X session
Comment 5 Bug Zapper 2009-11-18 03:58:41 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:57:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.